Subject: bug#25562: 25.1; isearch-forward-word first matches a non-word

From: Michael Heerdegen <[email-masked]>
Date: Tue, 31 Jan 2017 17:45:08 +0100

Antoine Levitt <[email-masked]> writes:

> I see, thanks for the explanation. That's still unsatisfactory to
> me. I think an ideal incremental word search would just start over
> from the current point each time a new character is typed (that's what
> most users would expect).

It's what I had expected, too.  But after I had tried it, I changed my
mind.  AFAIR I was especially annoyed that i could not anymore use C-w
to extend the search string because isearch did not go to partial
matches any more.

Michael.